/*
Copyright (c) 2014 Juergen Wuest

The MIT License

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Note: this license grant only applies to this Source File, and not to any
other part of SDMetrics or Velocity.

 */
package com.sdmetrics.velocity;

public class ReportUtils {

	public String xmlEncode(Object o) {
		if(o==null) {
			return "";
		}
		String str=o.toString();
		int length=str.length();
		StringBuilder result=new StringBuilder(length);
		for(int i=0; i<length; i++) {
			char c=str.charAt(i);
			switch(c) {
			case '<' : result.append("&lt;"); break;
			case '>' : result.append("&gt;"); break;
			case '&' : result.append("&amp;"); break;
			case '\'' : result.append("&apos;"); break;
			case '\"' : result.append("&quot;"); break;
			default : result.append(c);
			}
		}

		return result.toString();
	}
}
